Get metrics
GET /v1/instances/{instance_id}/metrics
Get metrics
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.metrics.read
Auditing
Calling this method generates the following auditing event.
event-notifications.metrics.read
Request
Response
200 -
401 -
500 -
default -
Get bounce metrics
GET /v1/instances/{instance_id}/metrics/bounce
Get bounce metrics
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.metrics.read
Auditing
Calling this method generates the following auditing event.
event-notifications.metrics.read
Request
Response
200 -
401 -
500 -
default -
Get status of webhook test notification
GET /v1/instances/{instance_id}/notifications/{id}
Status of webhook test notification
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.notifications.get
Auditing
Calling this method generates the following auditing event.
event-notifications.notifications.get
Request
Response
200 -
401 -
404 -
500 -
default -
Send a notification
POST /v1/instances/{instance_id}/notifications
Send Notifications body from the instance. For more information about Event Notifications payload, see here.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.notification.create
Auditing
Calling this method generates the following auditing event.
event-notifications.notification.create
Request
Request Body
NotificationCreate
specversion
Required *
string
The version of the notification specification
time
string
The time notification was created
id
Required *
string
The unique identifier of the notification
source
Required *
string
The source of notifications
type
Required *
string
The notifications type
ibmenseverity
string
The severity of the notification
ibmensourceid
Required *
string
The source id of the notification
ibmendefaultshort
Required *
string
Default short text for the message
ibmendefaultlong
Required *
string
Default long text for the message
ibmensubject
string
The subject of the notification
ibmentemplates
string
The template id Array of string
ibmenmailto
string
The email id string
ibmenslackto
string
The slack channel id/member id stringified array
ibmensmstext
string
The SMS text
ibmensmsto
string
The SMS number string
ibmenhtmlbody
string
The html body of notification
subject
string
The subject of the notification
ibmenmms
string
Stringified MMS Attachment JSON
ibmenmarkdown
string
The markdown content for notification
data
object
The payload for webhook notification
datacontenttype
string
The notification content type
ibmenpushto
string
If platforms or tags or user_ids is used then do not use fcm_devices / apns_devices / chrome_devices / firefox_devices / safari_devices with it. Value should be stringified.
fcm_devices
array
List of Android device ids
apns_devices
array
List of iOS device ids
huawei_devices
array
List of Huawei device ids
safari_devices
array
List of Safari device ids
chrome_devices
array
List of Chrome device ids
firefox_devices
array
List of Firefox device ids
user_ids
array
List of user ids
tags
array
List of tags
platforms
array
List of platforms
ibmenfcmbody
string
Payload describing a notification FCM body. Value should be stringified.
ibmenapnsbody
string
Payload describing a notification APNs body. Value should be stringified.
ibmenapnsheaders
string
Headers for iOS notification. Value should be stringified.
ibmenchromebody
string
Notification payload for Chrome. Value should be stringified.
ibmenchromeheaders
string
Headers for a Chrome notification. Value should be stringified.
ibmenfirefoxbody
string
Notification payload for Firefox. Value should be stringified.
ibmenfirefoxheaders
string
Headers for a Firefox notification. Value should be stringified.
ibmenhuaweibody
string
Payload describing a notification Huawei body. Value should be stringified.
ibmensafaribody
string
Payload describing a notification Safari body. Value should be stringified.
attachments
array
Email attachments to be sent with the notification
Response
202 -
400 -
401 -
415 -
500 -
default -
Create a new Template
POST /v1/instances/{instance_id}/templates
Create a new Template
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.templates.create
Auditing
Calling this method generates the following auditing event.
event-notifications.templates.create
Request
Request Body
TemplateCreate
name
Required *
string
The Message Template
description
string
The Template description
type
Required *
string
The type of template
params
Required *
TemplateConfigOneOf
Response
201 -
400 -
401 -
415 -
500 -
default -
List all templates
GET /v1/instances/{instance_id}/templates
List all Templates
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.templates.list
Auditing
Calling this method generates the following auditing event.
event-notifications.templates.list
Request
Path Parameters
Query Parameters
limit
integer
Page limit for paginated results
offset
integer
offset for paginated results
search
string
Search string for filtering results
Response
200 -
401 -
500 -
default -
Create a new SMTP Configuration
POST /v1/instances/{instance_id}/smtp/config
Create a new SMTP Configuration
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.smtp-config.create
Auditing
Calling this method generates the following auditing event.
event-notifications.smtp-config.create
Request
Request Body
SMTPCreate
name
Required *
string
The name of SMTP configuration
description
string
The description of SMTP configuration
domain
Required *
string
Domain Name
Response
201 -
400 -
401 -
415 -
500 -
default -
List all SMTP Configurations
GET /v1/instances/{instance_id}/smtp/config
List all SMTP Configurations
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.smtp-config.list
Auditing
Calling this method generates the following auditing event.
event-notifications.smtp-config.list
Request
Path Parameters
Query Parameters
limit
integer
Page limit for paginated results
offset
integer
offset for paginated results
search
string
Search string for filtering results
Response
200 -
401 -
500 -
default -
Create a new SMTP User
POST /v1/instances/{instance_id}/smtp/config/{id}/users
Create a new SMTP User
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.smtp-user.create
Auditing
Calling this method generates the following auditing event.
event-notifications.smtp-user.create
Request
Request Body
SMTPUserCreate
description
string
The description of SMTP configuration
Path Parameters
Query Parameters
username_to_clone
string
provide name of the user to clone
Response
201 -
400 -
401 -
415 -
500 -
default -
List all SMTP users
GET /v1/instances/{instance_id}/smtp/config/{id}/users
List all SMTP users
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.smtp-user.list
Auditing
Calling this method generates the following auditing event.
event-notifications.smtp-user.list
Request
Path Parameters
Query Parameters
limit
integer
Page limit for paginated results
offset
integer
offset for paginated results
search
string
Search string for filtering results
Response
200 -
401 -
500 -
default -
Create a new Destination
POST /v1/instances/{instance_id}/destinations
Create a new Destination
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.destinations.create
Auditing
Calling this method generates the following auditing event.
event-notifications.destinations.create
Request
Request Body
Response
201 -
400 -
401 -
409 -
415 -
500 -
default -
List all Destinations
GET /v1/instances/{instance_id}/destinations
List all Destinations
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.destinations.list
Auditing
Calling this method generates the following auditing event.
event-notifications.destinations.list
Request
Path Parameters
Query Parameters
limit
integer
Page limit for paginated results
offset
integer
offset for paginated results
search
string
Search string for filtering results
Response
200 -
401 -
500 -
default -
Get details of a Template
GET /v1/instances/{instance_id}/templates/{id}
Get details of a Template
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.templates.read
Auditing
Calling this method generates the following auditing event.
event-notifications.templates.read
Request
Response
200 -
401 -
404 -
500 -
default -
Update details of a Template
PUT /v1/instances/{instance_id}/templates/{id}
Update details of a Template
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.templates.update
Auditing
Calling this method generates the following auditing event.
event-notifications.templates.update
Request
Request Body
TemplateUpdate
name
string
Template name
description
string
Template description
type
string
The type of template
params
TemplateConfigOneOf
Response
200 -
400 -
401 -
404 -
415 -
500 -
default -
Delete a Template
DELETE /v1/instances/{instance_id}/templates/{id}
Delete a Template
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.templates.delete
Auditing
Calling this method generates the following auditing event.
event-notifications.templates.delete
Request
Response
204 -
401 -
404 -
500 -
default -
List all predefined templates
GET /v1/instances/{instance_id}/pre_defined_templates
List all predefined templates
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.pre-defined-templates.list
Auditing
Calling this method generates the following auditing event.
event-notifications.pre-defined-templates.list
Request
Path Parameters
Query Parameters
source
Required *
string
Source type
type
Required *
string
Destination type
limit
integer
Page limit for paginated results
offset
integer
offset for paginated results
search
string
Search string for filtering results
Response
200 -
401 -
500 -
default -
Get details of a Predefined Template
GET /v1/instances/{instance_id}/pre_defined_templates/{id}
Get details of a Predefined Template
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.pre-defined-templates.read
Auditing
Calling this method generates the following auditing event.
event-notifications.pre-defined-templates.read
Request
Response
200 -
401 -
404 -
500 -
default -
Get details of a SMTP Configuration
GET /v1/instances/{instance_id}/smtp/config/{id}
Get details of a SMTP Configuration
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.smtp-config.read
Auditing
Calling this method generates the following auditing event.
event-notifications.smtp-config.read
Request
Response
200 -
401 -
404 -
500 -
default -
Update details of SMTP Configuration
PATCH /v1/instances/{instance_id}/smtp/config/{id}
Update details of SMTP Configuration
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.smtp-config.update
Auditing
Calling this method generates the following auditing event.
event-notifications.smtp-config.update
Request
Request Body
SMTPUpdate
name
string
SMTP name
description
string
SMTP description
Response
200 -
400 -
401 -
404 -
415 -
500 -
default -
Delete a SMTP Configuration
DELETE /v1/instances/{instance_id}/smtp/config/{id}
Delete a SMTP Configuration
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.smtp-config.delete
Auditing
Calling this method generates the following auditing event.
event-notifications.smtp-config.delete
Request
Response
204 -
401 -
404 -
500 -
default -
Get details of a SMTP User
GET /v1/instances/{instance_id}/smtp/config/{id}/users/{user_id}
Get details of a SMTP User
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.smtp-user.read
Auditing
Calling this method generates the following auditing event.
event-notifications.smtp-user.read
Request
Response
200 -
401 -
404 -
500 -
default -
Update details of a SMTP User
PATCH /v1/instances/{instance_id}/smtp/config/{id}/users/{user_id}
Update details of a SMTP User
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.smtp-user.update
Auditing
Calling this method generates the following auditing event.
event-notifications.smtp-user.update
Request
Request Body
SMTPUserUpdate
description
string
SMTP user description
Response
200 -
400 -
401 -
404 -
415 -
500 -
default -
Delete a SMTP user
DELETE /v1/instances/{instance_id}/smtp/config/{id}/users/{user_id}
Delete a SMTP user
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.smtp-user.delete
Auditing
Calling this method generates the following auditing event.
event-notifications.smtp-user.delete
Request
Response
204 -
401 -
404 -
500 -
default -
Get details of SMTP configuration allowed IPs
GET /v1/instances/{instance_id}/smtp/config/{id}/allowed_ips
Get details of SMTP configuration allowed IPs
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.smtp-config.read
Auditing
Calling this method generates the following auditing event.
event-notifications.smtp-config.read
Request
Response
200 -
401 -
404 -
500 -
default -
Get details of a Destination
GET /v1/instances/{instance_id}/destinations/{id}
Get details of a Destination
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.destinations.read
Auditing
Calling this method generates the following auditing event.
event-notifications.destinations.read
Request
Response
200 -
401 -
404 -
500 -
default -
Update details of a Destination
PATCH /v1/instances/{instance_id}/destinations/{id}
Update details of a Destination
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.destinations.update
Auditing
Calling this method generates the following auditing event.
event-notifications.destinations.update
Request
Request Body
Response
200 -
400 -
401 -
404 -
409 -
415 -
500 -
default -
Delete a Destination
DELETE /v1/instances/{instance_id}/destinations/{id}
Delete a Destination
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.destinations.delete
Auditing
Calling this method generates the following auditing event.
event-notifications.destinations.delete
Request
Response
204 -
401 -
404 -
500 -
default -
Get enabled country details of SMS destination
GET /v1/instances/{instance_id}/destinations/{id}/enabled_countries
Get enabled country details of SMS destination
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.destinations.enabled_countries
Auditing
Calling this method generates the following auditing event.
event-notifications.destinations.enabled_countries
Request
Response
200 -
401 -
404 -
500 -
default -
Test a Destination
POST /v1/instances/{instance_id}/destinations/{id}/test
Test a Destination
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.destinations.test
Auditing
Calling this method generates the following auditing event.
event-notifications.destinations.test
Request
Response
201 -
400 -
401 -
415 -
500 -
default -
Get public key of a Webhook Destination signing
GET /v1/instances/{instance_id}/destinations/{id}/public_key
Get public key of a Webhook Destination signing
Request
Response
200 -
404 -
500 -
default -
Upgrade sandbox destination to production
PATCH /v1/instances/{instance_id}/destinations/{id}/upgrade
Upgrade sandbox destination to production with custom domain
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.destinations.update
Auditing
Calling this method generates the following auditing event.
event-notifications.destinations.update
Request
Request Body
DestinationUpgradeRequest
domain
Required *
string
Email Domain
Response
200 -
400 -
401 -
404 -
415 -
500 -
default -
Verify SPF and DKIM records of custom domain
PATCH /v1/instances/{instance_id}/destinations/{id}/verify
Verify SPF and DKIM records of custom domain
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.destinations.update
Auditing
Calling this method generates the following auditing event.
event-notifications.destinations.update
Request
Response
200 -
400 -
401 -
404 -
415 -
500 -
default -
Verify SMTP configuration domain
PATCH /v1/instances/{instance_id}/smtp/config/{id}/verify
Verify SMTP configuration domain
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.smtp-config.update
Auditing
Calling this method generates the following auditing event.
event-notifications.smtp-config.update
Request
Response
200 -
400 -
401 -
404 -
415 -
500 -
default -
Create a new API Source
POST /v1/instances/{instance_id}/sources
Create a new API Source
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.sources.create
Auditing
Calling this method generates the following auditing event.
event-notifications.sources.create
Request
Request Body
SourceCreate
name
Required *
string
Name of the source
description
Required *
string
Description of the source
enabled
boolean
Whether the source is enabled or not
store_notifications
boolean
enable to view the payload of incoming events for troubleshooting
Response
201 -
400 -
401 -
404 -
409 -
415 -
500 -
default -
List all Sources
GET /v1/instances/{instance_id}/sources
List all Sources
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.sources.list
Auditing
Calling this method generates the following auditing event.
event-notifications.sources.list
Request
Path Parameters
Query Parameters
limit
integer
Page limit for paginated results
offset
integer
offset for paginated results
search
string
Search string for filtering results
Response
200 -
401 -
500 -
default -
Get a Source
GET /v1/instances/{instance_id}/sources/{id}
Get a Source
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.sources.read
Auditing
Calling this method generates the following auditing event.
event-notifications.sources.read
Request
Path Parameters
id
Required *
string
Unique identifier for Source
Query Parameters
Response
200 -
401 -
404 -
500 -
default -
Delete a Source
DELETE /v1/instances/{instance_id}/sources/{id}
Delete a Source
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.sources.delete
Auditing
Calling this method generates the following auditing event.
event-notifications.sources.delete
Request
Response
204 -
401 -
404 -
500 -
default -
Update details of a Source
PATCH /v1/instances/{instance_id}/sources/{id}
Update details of a Source
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.sources.update
Auditing
Calling this method generates the following auditing event.
event-notifications.sources.update
Request
Request Body
SourceUpdate
name
string
Name of the source
description
string
Description of the source
enabled
boolean
Whether the source is enabled or not
store_notifications
boolean
enable to view the payload of incoming events for troubleshooting
Response
200 -
400 -
401 -
404 -
409 -
415 -
500 -
default -
Create a new Topic
POST /v1/instances/{instance_id}/topics
Create a new Topic
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.topics.create
Auditing
Calling this method generates the following auditing event.
event-notifications.topics.create
Request
Request Body
TopicCreate
name
Required *
string
Name of the topic
description
string
Description of the topic
sources
Sources
List of sources
Response
201 -
400 -
401 -
404 -
409 -
415 -
500 -
default -
List all Topics
GET /v1/instances/{instance_id}/topics
List all Topics
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.topics.list
Auditing
Calling this method generates the following auditing event.
event-notifications.topics.list
Request
Path Parameters
Query Parameters
limit
integer
Page limit for paginated results
offset
integer
offset for paginated results
search
string
Search string for filtering results
Response
200 -
401 -
500 -
default -
Get details of a Topic
GET /v1/instances/{instance_id}/topics/{id}
Get details of a Topic
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.topics.read
Auditing
Calling this method generates the following auditing event.
event-notifications.topics.read
Request
Path Parameters
Query Parameters
include
string
Include sub topics
Response
200 -
401 -
404 -
500 -
default -
Update details of a Topic
PUT /v1/instances/{instance_id}/topics/{id}
Update details of a Topic
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.topics.update
Auditing
Calling this method generates the following auditing event.
event-notifications.topics.update
Request
Request Body
TopicUpdate
name
string
Name of the topic
description
string
Description of the topic
sources
Sources
List of sources
Response
200 -
400 -
401 -
404 -
409 -
415 -
500 -
default -
Delete a Topic
DELETE /v1/instances/{instance_id}/topics/{id}
Delete a Topic
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.topics.delete
Auditing
Calling this method generates the following auditing event.
event-notifications.topics.delete
Request
Response
204 -
401 -
404 -
500 -
default -
Create a new Subscription
POST /v1/instances/{instance_id}/subscriptions
Create a new Subscription
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.subscriptions.create
Auditing
Calling this method generates the following auditing event.
event-notifications.subscriptions.create
Request
Request Body
SubscriptionCreate
name
Required *
string
Subscription name
description
string
Subscription description
destination_id
Required *
string
Destination ID
topic_id
Required *
string
Topic ID
attributes
SubscriptionCreateAttributes
Response
201 -
400 -
401 -
404 -
409 -
415 -
500 -
default -
List all Subscriptions
GET /v1/instances/{instance_id}/subscriptions
List all Subscriptions
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.subscriptions.list
Auditing
Calling this method generates the following auditing event.
event-notifications.subscriptions.list
Request
Path Parameters
Query Parameters
offset
integer
offset for paginated results
limit
integer
Page limit for paginated results
search
string
Search string for filtering results
Response
200 -
401 -
500 -
default -
Get details of a Subscription
GET /v1/instances/{instance_id}/subscriptions/{id}
Get details of a Subscription
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.subscriptions.read
Auditing
Calling this method generates the following auditing event.
event-notifications.subscriptions.read
Request
Response
200 -
401 -
404 -
500 -
default -
Delete a Subscription
DELETE /v1/instances/{instance_id}/subscriptions/{id}
Delete a Subscription
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.subscriptions.delete
Auditing
Calling this method generates the following auditing event.
event-notifications.subscriptions.delete
Request
Response
204 -
401 -
404 -
500 -
default -
Update details of a Subscription
PATCH /v1/instances/{instance_id}/subscriptions/{id}
Update details of a Subscription
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.subscriptions.update
Auditing
Calling this method generates the following auditing event.
event-notifications.subscriptions.update
Request
Request Body
SubscriptionUpdate
name
string
Name of the subscription
description
string
Description of the subscription
attributes
SubscriptionUpdateAttributes
Response
200 -
400 -
401 -
404 -
409 -
415 -
500 -
default -
Create an Integration
POST /v1/instances/{instance_id}/integrations
Create an Integration
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.integrations.create
Auditing
Calling this method generates the following auditing event.
event-notifications.integrations.create
Request
Request Body
IntegrationCreate
type
Required *
string
The type of Integration
metadata
Required *
IntegrationCreateMetadata
Integration Metadata object
endpoint
Required *
string
URL for Cloud Object storage
crn
Required *
string
CRN of the Cloud Object Storage instance
bucket_name
Required *
string
Cloud Object Storage bucket name
Response
201 -
400 -
401 -
415 -
500 -
default -
List all Integrations
GET /v1/instances/{instance_id}/integrations
List of all KMS Integrations
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.integrations.list
Auditing
Calling this method generates the following auditing event.
event-notifications.integrations.list
Request
Path Parameters
Query Parameters
offset
integer
offset for paginated results
limit
integer
Page limit for paginated results
search
string
Search string for filtering results
Response
200 -
401 -
500 -
default -
Get a single Integration
GET /v1/instances/{instance_id}/integrations/{id}
Get a single KMS Integration
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.integrations.read
Auditing
Calling this method generates the following auditing event.
event-notifications.integrations.read
Request
Response
200 -
401 -
500 -
default -
Update an existing Integration
PUT /v1/instances/{instance_id}/integrations/{id}
Update an existing Integration
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
event-notifications.integrations.update
Auditing
Calling this method generates the following auditing event.
event-notifications.integrations.update
Request
Request Body
IntegrationUpdate
type
Required *
string
Integration type. Allowed values are kms, hs-crypto (deprecated) and collect_failed_events
metadata
Required *
IntegrationMetadata
Integration Metadata object
endpoint
Required *
string
KMS url for key management or url for COS bucket
crn
Required *
string
CRN of the KMS/COS instance
root_key_id
string
Root Key ID of KMS
bucket_name
string
cloud object storage bucket name